package com.foreverwin.mesnac.meapi.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author robert
 * @since 2021-06-29
 */

@TableName("DATA_FIELD")

public class DataField extends Model<DataField> {

    private static final long serialVersionUID = 1L;

   @TableField("HANDLE")
   private String handle;
   @TableField("DATA_TYPE_BO")
   private String dataTypeBo;
   @TableField("DATA_FIELD")
   private String dataField;
   @TableField("FIELD_TYPE")
   private String fieldType;
   @TableField("VALIDATION_TYPE")
   private String validationType;
   @TableField("DATA_DEFAULT")
   private String dataDefault;
   @TableField("SITE")
   private String site;
   @TableField("BROWSE_ACTIVITY_BO")
   private String browseActivityBo;
   @TableField("IS_BROWSE")
   private String isBrowse;
   @TableField("IS_ERP")
   private String isErp;
   @TableField("MASK_GROUP_BO")
   private String maskGroupBo;
   @TableField("DESCRIPTION")
   private String description;
   @TableField("VALIDATION_ACTIVITY_BO")
   private String validationActivityBo;
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
   @TableField("CATEGORY")
   private String category;

   //数据字段定义维护中的数据字段
   @TableField(exist = false)
   private List<String> dataValue;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getDataTypeBo() {
      return dataTypeBo;
   }

   public void setDataTypeBo(String dataTypeBo) {
      this.dataTypeBo = dataTypeBo;
   }

   public String getDataField() {
      return dataField;
   }

   public void setDataField(String dataField) {
      this.dataField = dataField;
   }

   public String getFieldType() {
      return fieldType;
   }

   public void setFieldType(String fieldType) {
      this.fieldType = fieldType;
   }

   public String getValidationType() {
      return validationType;
   }

   public void setValidationType(String validationType) {
      this.validationType = validationType;
   }

   public String getDataDefault() {
      return dataDefault;
   }

   public void setDataDefault(String dataDefault) {
      this.dataDefault = dataDefault;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getBrowseActivityBo() {
      return browseActivityBo;
   }

   public void setBrowseActivityBo(String browseActivityBo) {
      this.browseActivityBo = browseActivityBo;
   }

   public String getIsBrowse() {
      return isBrowse;
   }

   public void setIsBrowse(String isBrowse) {
      this.isBrowse = isBrowse;
   }

   public String getIsErp() {
      return isErp;
   }

   public void setIsErp(String isErp) {
      this.isErp = isErp;
   }

   public String getMaskGroupBo() {
      return maskGroupBo;
   }

   public void setMaskGroupBo(String maskGroupBo) {
      this.maskGroupBo = maskGroupBo;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getValidationActivityBo() {
      return validationActivityBo;
   }

   public void setValidationActivityBo(String validationActivityBo) {
      this.validationActivityBo = validationActivityBo;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getCategory() {
      return category;
   }

   public void setCategory(String category) {
      this.category = category;
   }

   public List<String> getDataValue() {
      return dataValue;
   }

   public void setDataValue(List<String> dataValue) {
      this.dataValue = dataValue;
   }

   public static final String HANDLE = "HANDLE";

public static final String DATA_TYPE_BO = "DATA_TYPE_BO";

public static final String DATA_FIELD = "DATA_FIELD";

public static final String FIELD_TYPE = "FIELD_TYPE";

public static final String VALIDATION_TYPE = "VALIDATION_TYPE";

public static final String DATA_DEFAULT = "DATA_DEFAULT";

public static final String SITE = "SITE";

public static final String BROWSE_ACTIVITY_BO = "BROWSE_ACTIVITY_BO";

public static final String IS_BROWSE = "IS_BROWSE";

public static final String IS_ERP = "IS_ERP";

public static final String MASK_GROUP_BO = "MASK_GROUP_BO";

public static final String DESCRIPTION = "DESCRIPTION";

public static final String VALIDATION_ACTIVITY_BO = "VALIDATION_ACTIVITY_BO";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";

public static final String CATEGORY = "CATEGORY";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "DataField{" +
         "handle = " + handle +
         ", dataTypeBo = " + dataTypeBo +
         ", dataField = " + dataField +
         ", fieldType = " + fieldType +
         ", validationType = " + validationType +
         ", dataDefault = " + dataDefault +
         ", site = " + site +
         ", browseActivityBo = " + browseActivityBo +
         ", isBrowse = " + isBrowse +
         ", isErp = " + isErp +
         ", maskGroupBo = " + maskGroupBo +
         ", description = " + description +
         ", validationActivityBo = " + validationActivityBo +
         ", createdDateTime = " + createdDateTime +
         ", modifiedDateTime = " + modifiedDateTime +
         ", category = " + category +
         "}";
   }
}